/****************************************************************/
/*								*/
/*			      echo.c				*/
/*								*/
/*		        Copyright (c) 2000			*/
/*			Pasquale J. Villani			*/
/*			All Rights Reserved			*/
/*								*/
/* This file is part of CMD32.					*/
/*								*/
/* CMD32 is free software; you can redistribute it and/or	*/
/* modify it under the terms of the GNU General Public License	*/
/* as published by the Free Software Foundation; either version	*/
/* 2, or (at your option) any later version.			*/
/*								*/
/* CMD32 is distributed in the hope that it will be useful, but	*/
/* WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See	*/
/* the GNU General Public License for more details.		*/
/*								*/
/* You should have received a copy of the GNU General Public	*/
/* License along with CMD32; see the file COPYING.  If not,	*/
/* write to the Free Software Foundation, 675 Mass Ave,		*/
/* Cambridge, MA 02139, USA.					*/
/****************************************************************/


/* $Logfile$*/

/* $Log$ 
 * $EndLog$ */

#include <windows.h>
#include "globals.h"
#include "proto.h"

#ifdef VERSION_STRINGS
static BYTE *RcsId = "$Header$";
#endif

extern BOOL batch_FLAG;
extern BOOL echo_FLAG;

BOOL echo_bat(INT argc, BYTE *argv[])
{
	BYTE *lp, idx;

	if (argc == 1)
	{
		printf("ECHO is %s\n", echo_FLAG ? "ON" : "OFF");
		return TRUE;
	}
	else if (argc == 2)
	{
		BYTE *p;

		for(p = argv[1]; *p ; p++)
			*p = tolower(*p);

		if (strcmp(argv[1], "on") == 0)
		{
			echo_FLAG = TRUE;
			printf("ECHO is ON\n");
			return TRUE;
		}
		else if (strcmp(argv[1], "off") == 0)
		{
			echo_FLAG = FALSE;
			return TRUE;
		}
	}
	/* its user data						*/

	/* First trim leading white and trailing new line		*/
	lp = skipwh(tail);
	if(lp[(idx = strlen(lp))] == '\n')
		lp[idx] = '\0';

	/* Finally, print the user's data				*/
	printf("%s\n", lp);
	return TRUE;
}

BOOL echo_dot_bat(INT argc, BYTE *argv[])
{
	if (echo_FLAG)
		printf("\n");
	return TRUE;
}

